Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.feature.type
Interface FeatureCollectionType

Type Parameters:
  `C` -
  `M` -

All Superinterfaces:
  AttributeType, ComplexType, FeatureType, PropertyType

All Known Subinterfaces:
  SimpleFeatureCollectionType

    public interface FeatureCollectionType

extends FeatureType

Represents a FeatureCollection

The following restrictions are used:

- C is the Collection of Attributes for the FeatureCollection itself, these usually are derrived from the members (ie. "bounds")
- M is the Set of member FeatureTypes, in many cases this will be of size() == 1

Features are actually associated with the collection, according to the guidelines for AssociationType. You can use this information to describe in what manner the contents are related.

Method Summary
`Set<AssociationDescriptor>` | `getMembers()` FeatureTypes allowable as members of this set.

Methods inherited from interface FeatureType
`getCRS, getDefaultGeometry, getSuper`

Methods inherited from interface ComplexType
`associations, attributes, getBinding, getProperties, isInline`

Methods inherited from interface AttributeType
`getOperations, getRestrictions, isAbstract, isIdentified`

Methods inherited from interface PropertyType
`equals, getDescription, getName, getUserData, hashCode, putUserData`

Method Detail

### getMembers

    Set<AssociationDescriptor> getMembers()

  FeatureTypes allowable as members of this set.

  Please note that all the normal AttributeTypes defined by this FeatureCollection (such as bounds) are considered to be derivative from the member features

  Please note that the you can continue to use the isInline() to indicate any ordering constraints placed on memberFeatures for xPath.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.